# $Id: rit.spec,v 1.2 2003/05/23 22:32:44 ianmacd Exp $

# define this at Google for historical reasons
%define imapcp 0
Summary: rit is a utility for copying messages between IMAP mailboxes
Name: rit
Version: 0.5.1
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby, ruby-password

%description
rit is the Ruby IMAP took, a utility for copying messages between IMAP
mailboxes.

%clean 
rm -rf $RPM_BUILD_ROOT

%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install rit.1 $RPM_BUILD_ROOT%{_mandir}/man1/rit.1
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man1/rit.1
%if %{imapcp}
make symlinks ROOT=$RPM_BUILD_ROOT%{_prefix}
ln -s rit.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/imapcp.1.gz
%endif

find $RPM_BUILD_ROOT%{_prefix} -type f -o -type l | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING rit.html README TODO

%changelog
* Fri May 23 2003 Ian Macdonald <ian@caliban.org> 0.5.1-1
- mailbox existence check sometimes returned a false positive

* Sat May  3 2003 Ian Macdonald <ian@caliban.org> 0.5.0-1
- 0.5.0
- initial public release
